### Signal

# RB SongInfo::pre-metadata-change

#### Declaration

    void
    pre_metadata_change (
      RBSongInfo* self,
      RhythmDBEntry* entry,
      gpointer user_data
    )

#### Description [src]

Emitted just before the changes made in the song properties window are applied to the database. This is only emitted in the single-entry case.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` being changed.

  The data is owned by the caller of the function.